apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

namespace: poimen

resources:
  - worker-deployment.yaml
  - configmap.yaml

commonLabels:
  app.kubernetes.io/name: poimen
  app.kubernetes.io/component: worker

secretGenerator:
  - name: poimen-secrets
    envs:
      - secrets.env
    behavior: create
